## org.eclipse.amp.amf.abase.parser.antlr.internal
Class InternalABaseParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
                  org.eclipse.amp.amf.abase.parser.antlr.internal.InternalABaseParser

    public class InternalABaseParser

extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

Field Summary
`static int` `EOF`
`static org.antlr.runtime.BitSet` `FOLLOW_14_in_ruleBOOLEAN623`
`static org.antlr.runtime.BitSet` `FOLLOW_15_in_ruleBOOLEAN638`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleBooleanValue531`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleIntValue258`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleRealValue349`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleStringValue440`
`static org.antlr.runtime.BitSet` `FOLLOW_EOF_in_entryRuleValue85`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_INTEGER_in_ruleIntValue299`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_REAL_in_ruleRealValue390`
`static org.antlr.runtime.BitSet` `FOLLOW_RULE_STRING_in_ruleStringValue481`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBOOLEAN_in_ruleBooleanValue576`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue521`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleBooleanValue_in_ruleValue213`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_entryRuleIntValue248`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleIntValue_in_ruleValue132`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_entryRuleRealValue339`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleRealValue_in_ruleValue186`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_entryRuleStringValue430`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleStringValue_in_ruleValue159`
`static org.antlr.runtime.BitSet` `FOLLOW_ruleValue_in_entryRuleValue75`
`static int` `RULE_ANY_OTHER`
`static int` `RULE_DESC_STRING`
`static int` `RULE_ID`
`static int` `RULE_INT`
`static int` `RULE_INTEGER`
`static int` `RULE_ML_COMMENT`
`static int` `RULE_REAL`
`static int` `RULE_SL_COMMENT`
`static int` `RULE_STRING`
`static int` `RULE_WS`
`static java.lang.String[]` `tokenNames`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

Constructor Summary
`InternalABaseParser(org.antlr.runtime.TokenStream input)`
`InternalABaseParser(org.antlr.runtime.TokenStream input, org.eclipse.xtext.parser.IAstFactory factory, ABaseGrammarAccess grammarAccess)`

Method Summary
`org.eclipse.emf.ecore.EObject` `entryRuleBooleanValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleIntValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleRealValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleStringValue()`
`org.eclipse.emf.ecore.EObject` `entryRuleValue()`
`java.lang.String` `getGrammarFileName()`
`java.lang.String[]` `getTokenNames()`
`org.eclipse.emf.common.util.Enumerator` `ruleBOOLEAN()`
`org.eclipse.emf.ecore.EObject` `ruleBooleanValue()`
`org.eclipse.emf.ecore.EObject` `ruleIntValue()`
`org.eclipse.emf.ecore.EObject` `ruleRealValue()`
`org.eclipse.emf.ecore.EObject` `ruleStringValue()`
`org.eclipse.emf.ecore.EObject` `ruleValue()`

Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
`displayRecognitionError, emitErrorMessage, getErrorMessage, getInput, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, match, parse, parse, recover, recoverFromMismatchedToken, reportError, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper`

Methods inherited from class org.antlr.runtime.Parser
`getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, consumeUntil, consumeUntil, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, matchAny, memoize, recoverFromMismatchedSet, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final java.lang.String[] tokenNames

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### FOLLOW_ruleValue_in_entryRuleValue75

    public static final org.antlr.runtime.BitSet FOLLOW_ruleValue_in_entryRuleValue75

### FOLLOW_EOF_in_entryRuleValue85

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleValue85

### FOLLOW_ruleIntValue_in_ruleValue132

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_ruleValue132

### FOLLOW_ruleStringValue_in_ruleValue159

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_ruleValue159

### FOLLOW_ruleRealValue_in_ruleValue186

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_ruleValue186

### FOLLOW_ruleBooleanValue_in_ruleValue213

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_ruleValue213

### FOLLOW_ruleIntValue_in_entryRuleIntValue248

    public static final org.antlr.runtime.BitSet FOLLOW_ruleIntValue_in_entryRuleIntValue248

### FOLLOW_EOF_in_entryRuleIntValue258

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleIntValue258

### FOLLOW_RULE_INTEGER_in_ruleIntValue299

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_INTEGER_in_ruleIntValue299

### FOLLOW_ruleRealValue_in_entryRuleRealValue339

    public static final org.antlr.runtime.BitSet FOLLOW_ruleRealValue_in_entryRuleRealValue339

### FOLLOW_EOF_in_entryRuleRealValue349

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleRealValue349

### FOLLOW_RULE_REAL_in_ruleRealValue390

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_REAL_in_ruleRealValue390

### FOLLOW_ruleStringValue_in_entryRuleStringValue430

    public static final org.antlr.runtime.BitSet FOLLOW_ruleStringValue_in_entryRuleStringValue430

### FOLLOW_EOF_in_entryRuleStringValue440

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleStringValue440

### FOLLOW_RULE_STRING_in_ruleStringValue481

    public static final org.antlr.runtime.BitSet FOLLOW_RULE_STRING_in_ruleStringValue481

### FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue521

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBooleanValue_in_entryRuleBooleanValue521

### FOLLOW_EOF_in_entryRuleBooleanValue531

    public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_entryRuleBooleanValue531

### FOLLOW_ruleBOOLEAN_in_ruleBooleanValue576

    public static final org.antlr.runtime.BitSet FOLLOW_ruleBOOLEAN_in_ruleBooleanValue576

### FOLLOW_14_in_ruleBOOLEAN623

    public static final org.antlr.runtime.BitSet FOLLOW_14_in_ruleBOOLEAN623

### FOLLOW_15_in_ruleBOOLEAN638

    public static final org.antlr.runtime.BitSet FOLLOW_15_in_ruleBOOLEAN638

Constructor Detail

### InternalABaseParser

    public InternalABaseParser(org.antlr.runtime.TokenStream input)

### InternalABaseParser

    public InternalABaseParser(org.antlr.runtime.TokenStream input,
                               org.eclipse.xtext.parser.IAstFactory factory,
                               ABaseGrammarAccess grammarAccess)

Method Detail

### getTokenNames

    public java.lang.String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### entryRuleValue

    public final org.eclipse.emf.ecore.EObject entryRuleValue()
                                                       throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleValue

    public final org.eclipse.emf.ecore.EObject ruleValue()
                                                  throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleIntValue

    public final org.eclipse.emf.ecore.EObject entryRuleIntValue()
                                                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleIntValue

    public final org.eclipse.emf.ecore.EObject ruleIntValue()
                                                     throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleRealValue

    public final org.eclipse.emf.ecore.EObject entryRuleRealValue()
                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleRealValue

    public final org.eclipse.emf.ecore.EObject ruleRealValue()
                                                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleStringValue

    public final org.eclipse.emf.ecore.EObject entryRuleStringValue()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleStringValue

    public final org.eclipse.emf.ecore.EObject ruleStringValue()
                                                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### entryRuleBooleanValue

    public final org.eclipse.emf.ecore.EObject entryRuleBooleanValue()
                                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBooleanValue

    public final org.eclipse.emf.ecore.EObject ruleBooleanValue()
                                                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### ruleBOOLEAN

    public final org.eclipse.emf.common.util.Enumerator ruleBOOLEAN()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`